Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Update release

PATCH/workspaces/{organizationId}/releases/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
projectIdstring
teamIdstring
namestring
min length 1
versionstring
statusstring
default: "upcoming"
Allowed:upcomingin_progressreleasedarchived
notesstring
plannedAtstring
releasedAtstring
Responses
200

Release updated

idstringrequired
organizationIdstringrequired
projectIdstring | nullrequired
teamIdstring | nullrequired
namestringrequired
versionstring | nullrequired
statusstringrequired
Allowed:upcomingin_progressreleasedarchived
notesstring | nullrequired
plannedAtstring | nullrequired
releasedAtstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://pile.nyc/workspaces/string/releases/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "projectId": "string",
  "teamId": "string",
  "name": "string",
  "version": "string",
  "status": "upcoming",
  "notes": "string",
  "plannedAt": "string",
  "releasedAt": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "projectId": "string",
  "teamId": "string",
  "name": "string",
  "version": "string",
  "status": "upcoming",
  "notes": "string",
  "plannedAt": "string",
  "releasedAt": "string",
  "createdAt": "string",
  "updatedAt": "string"
}

Was this page helpful?